summaryrefslogtreecommitdiffstats
path: root/libraries/gconfmm
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2022-04-19 14:01:23 -0400
committer B. Watson <yalhcru@gmail.com>2022-04-19 14:01:23 -0400
commit8b24bad1c0ebc2aca2d56afed1d6cda8e611f8c5 (patch)
treecf97e9b1180e5b33556a4a53015e526670ed6b90 /libraries/gconfmm
parent09be72c087443a458ba34743f3c70ffe30c7a3b2 (diff)
downloadslackbuilds-8b24bad1c0ebc2aca2d56afed1d6cda8e611f8c5.tar.gz
slackbuilds-8b24bad1c0ebc2aca2d56afed1d6cda8e611f8c5.tar.xz
libraries/gconfmm: Fix docs.
Signed-off-by: B. Watson <yalhcru@gmail.com>
Diffstat (limited to 'libraries/gconfmm')
-rw-r--r--libraries/gconfmm/gconfmm.SlackBuild20
1 files changed, 12 insertions, 8 deletions
diff --git a/libraries/gconfmm/gconfmm.SlackBuild b/libraries/gconfmm/gconfmm.SlackBuild
index dfc234e89e..657cff3849 100644
--- a/libraries/gconfmm/gconfmm.SlackBuild
+++ b/libraries/gconfmm/gconfmm.SlackBuild
@@ -24,11 +24,15 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220419 bkw: Modified by SlackBuilds.org, BUILD=3:
+# - put HTML API docs in correct directory.
+# - remove useless INSTALL from doc dir.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=gconfmm
VERSION=${VERSION:-2.28.3}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -40,9 +44,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -72,14 +73,14 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
# Thanks to Petar Petrov and Gentoo!
patch -p1 -i $CWD/gconfmm-2.28.3-no-extern-c-glib-includes.patch
@@ -100,10 +101,13 @@ make install-strip DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- AUTHORS COPYING* ChangeLog INSTALL NEWS README \
+ AUTHORS COPYING* ChangeLog NEWS README \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mv $PKG/usr/share/doc/$PRGNAM-*/reference/html $PKG/usr/doc/$PRGNAM-$VERSION || true
+rm -rf $PKG/usr/share/doc
+
rm -f $PKG/usr/lib*/*.la
mkdir -p $PKG/install